Update an external entity
curl --request PATCH \
--url https://clarus-api.com/api/external_entities/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Clarus-Subdomain: <api-key>' \
--data '
{
"data": {
"type": "external_entities",
"attributes": {
"description": "Red Widget (large)"
}
}
}
'import requests
url = "https://clarus-api.com/api/external_entities/{id}"
payload = { "data": {
"type": "external_entities",
"attributes": { "description": "Red Widget (large)" }
} }
headers = {
"Authorization": "Bearer <token>",
"X-Clarus-Subdomain": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
Authorization: 'Bearer <token>',
'X-Clarus-Subdomain': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
data: {type: 'external_entities', attributes: {description: 'Red Widget (large)'}}
})
};
fetch('https://clarus-api.com/api/external_entities/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": 501,
"entity_type": "product",
"code": "SHOP-SKU-1",
"description": "Red Widget (large)",
"external_system_reference1": "gid://shopify/Product/123",
"external_system_reference2": null,
"external_system_reference3": null,
"integration_id": 12
}{
"error": "<string>"
}{
"errors": [
{
"code": 123,
"symbol": "<string>",
"details": "<string>",
"source": "<string>",
"context": {}
}
]
}{
"errors": [
{
"code": 123,
"symbol": "<string>",
"details": "<string>",
"source": "<string>",
"context": {}
}
]
}External Entities
Update an external entity
Update an existing external entity.
PATCH
/
api
/
external_entities
/
{id}
Update an external entity
curl --request PATCH \
--url https://clarus-api.com/api/external_entities/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Clarus-Subdomain: <api-key>' \
--data '
{
"data": {
"type": "external_entities",
"attributes": {
"description": "Red Widget (large)"
}
}
}
'import requests
url = "https://clarus-api.com/api/external_entities/{id}"
payload = { "data": {
"type": "external_entities",
"attributes": { "description": "Red Widget (large)" }
} }
headers = {
"Authorization": "Bearer <token>",
"X-Clarus-Subdomain": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
Authorization: 'Bearer <token>',
'X-Clarus-Subdomain': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
data: {type: 'external_entities', attributes: {description: 'Red Widget (large)'}}
})
};
fetch('https://clarus-api.com/api/external_entities/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": 501,
"entity_type": "product",
"code": "SHOP-SKU-1",
"description": "Red Widget (large)",
"external_system_reference1": "gid://shopify/Product/123",
"external_system_reference2": null,
"external_system_reference3": null,
"integration_id": 12
}{
"error": "<string>"
}{
"errors": [
{
"code": 123,
"symbol": "<string>",
"details": "<string>",
"source": "<string>",
"context": {}
}
]
}{
"errors": [
{
"code": 123,
"symbol": "<string>",
"details": "<string>",
"source": "<string>",
"context": {}
}
]
}Authorizations
OAuth 2.0 authentication. Use the client credentials or authorization code flow to obtain an access token.
The subdomain/tenant name identifying which tenant's data to access. Required for all API requests.
Path Parameters
The unique identifier of the external entity to update
Body
application/json
Show child attributes
Show child attributes
Response
Updated successfully
Updated record
⌘I

